Author Topic: mpv and libcli-ldap-common-samba4.so  (Read 442 times)

bci_

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
mpv and libcli-ldap-common-samba4.so
« on: Tue May 12 01:54:49 2020 »
I had just installed mpv; but when I first tried to run it, I get this:

Code: [Select]
$ mpv
mpv: error while loading shared libraries: libcli-ldap-common-samba4.so: cannot open shared object file: No such file or directory

I checked out https://www.archlinux.org/packages/community/x86_64/mpv/, and found that smbclient was a dependency there; so I decided to punt and install the samba package here in NuTyX, and now mpv works.

Thierry

  • Administrator
  • Hero Member
  • *****
  • Posts: 596
  • Karma: +10/-0
  • Gender: Male
    • NuTyX distribution
Re: mpv and libcli-ldap-common-samba4.so
« Reply #1 on: Tue May 12 12:10:10 2020 »
Hi bci_

Thanks for reporting this issue.

They is something indeed not correct. Normaly the samba package was supposed to be automatically detected as a runtime dependency, but it didn't.

Hope I will find out what's wrong there

Regards,
Thierry